Page MenuHomePhabricator

Implement recurring logic in Amazon gateway adapter
Closed, ResolvedPublic2 Story Points

Description

Documentation here: https://payments.amazon.com/documentation/automatic/201752090#201752090

When an API post is made with the billingAgreementID parameter and recurring is true, use the PwA SDK to make these calls: SetBillingAgreementDetails, ConfirmBillingAgreement, GetBillingAgreementDetails, and AuthorizeOnBillingAgreement. Handle errors the same way errors are handled with one time payments.
Send the donation to the queue as recurring.

Event Timeline

Ejegg created this task.Sep 3 2015, 7:19 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added subscribers: Aklapper, Ejegg.

Change 243360 had a related patch set uploaded (by Ejegg):
WIP Back-end logic for Amazon recurring donations

https://gerrit.wikimedia.org/r/243360

awight added a subscriber: awight.Oct 5 2015, 7:52 PM

The patches look good so far! *ahemming* a bit about sprintliness, though...

@Ejegg we had this task already to deal with this (currently "unscheduled") we should decide if this is a priority, but also note that this one has some blocking tasks: T107391

Ejegg added a comment.Oct 5 2015, 7:59 PM

Yeah, I cheated a bit here. I needed to figure out what I could assume about recurring donation gateway IDs in order to decide how to handle importing refunds and chargebacks from audit files.

awight added a comment.Oct 5 2015, 8:00 PM

Makes sense! Thanks for the lookahead algorithm :)

Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint UB40 board.Oct 5 2015, 8:45 PM
awight assigned this task to Ejegg.Oct 6 2015, 5:25 PM
Ejegg moved this task from Pending Deployment to Review on the Fundraising Sprint UB40 board.

Change 243360 merged by jenkins-bot:
Back-end logic for Amazon recurring donations

https://gerrit.wikimedia.org/r/243360

Ejegg closed this task as Resolved.Oct 20 2015, 3:40 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 19 2015, 6:27 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM